#include "IconNode.h"

IconNode::IconNode(const Point& loc)
	: AbstractVisualNode(loc)
{

}

void IconNode::setContent(IconType type, std::unique_ptr<AbstractVisualNode> content)
{
	mType = type;
	mContent = std::move(content);
	mContentDirty = true;
}